List All the keys.
curl --request GET \
--url https://{tenant}/api/apis/keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/apis/keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/apis/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"keys": [
"5e9d9544a1dcd60001d0ed20a28c495beff140a4a6d8c272a1956b99",
"5e9d9544a1dcd60001d0ed20e7f75f9e03534825b7aef9df749582e5",
"5e9d9544a1dcd60001d0ed2060ff87c0deab4a508dd2ac18ccb8b664"
]
},
"pages": 1
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/apis/keys",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to unmarshal keys data from Tyk API.",
"Meta": null,
"Status": "Error"
}Keys
List All the keys.
Return a paginated list of keys.
GET
/
api
/
apis
/
keys
List All the keys.
Was this page helpful?
⌘I